# DataExchange
TKXSBase
IFGraph

# IFGraph_Cycles Class Reference

determines strong componants in a graph which are Cycles

`#include <IFGraph_Cycles.hxx>`

Inheritance diagram for IFGraph_Cycles:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_Cycles (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later
Standard_EXPORT | IFGraph_Cycles (IFGraph_StrongComponants &subparts)
| creates from a StrongComponants which was already computed
virtual Standard_EXPORT void | Evaluate ()
| does the computation. Cycles are StrongComponants which are not Single

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_Cycles::IFGraph_Cycles | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |

Standard_EXPORT IFGraph_Cycles::IFGraph_Cycles | ( | IFGraph_StrongComponants & | subparts | ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_Cycles::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from IFGraph_SubPartsIterator.

void IFGraph_Cycles::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

void* IFGraph_Cycles::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

void* IFGraph_Cycles::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

The documentation for this class was generated from the following file:

- IFGraph_Cycles.hxx